diff -Nur kernel/SOURCE obs_kernel/SOURCE
--- kernel/SOURCE	2022-11-04 11:19:14.458579086 +0800
+++ obs_kernel/SOURCE	2022-10-16 17:33:41.000000000 +0800
@@ -1 +1 @@
-4.19.90-2211.1.0
+4.19.90-2210.1.0
diff -Nur kernel/kernel.spec obs_kernel/kernel.spec
--- kernel/kernel.spec	2022-11-04 11:19:14.462579134 +0800
+++ obs_kernel/kernel.spec	2022-10-25 02:40:37.000000000 +0800
@@ -12,7 +12,7 @@
 
 %global KernelVer %{version}-%{release}.%{_target_cpu}
 
-%global hulkrelease 2211.1.0
+%global hulkrelease 2112.8.0
 
 %define with_patch 0
 
@@ -32,7 +32,7 @@
 
 Name:	 kernel
 Version: 4.19.90
-Release: %{hulkrelease}.0175
+Release: %{hulkrelease}.0132
 Summary: Linux Kernel
 License: GPLv2
 URL:	 http://www.kernel.org/
@@ -60,6 +60,16 @@
 Source9998: patches.tar.bz2
 %endif
 
+Patch0001: 0001-kexec-provide-generic-quick-kexec-cmdline-parsing-AP.patch
+Patch0002: 0002-arm64-change-quick-memory-parsing-API.patch
+Patch0003: 0003-x86-add-support-for-quick-kexec.patch
+Patch0004: 0004-x86-fix-early-boot-crash-on-gcc-10.patch
+Patch0005: 0005-fix-multi-thread-recover-problem-with-pin-memory.patch
+Patch0006: 0001-pinmem-fix-build.patch
+Patch0007: 0001-disable-some-kconfig-for-unixbench.patch
+Patch0008: 0001-kconfig-enable-pin-memory-and-quick-kexec-for-x86.patch
+Patch0009: 0001-bpf-bpftool-add-support-for-attaching-programs-to-ma.patch
+
 #BuildRequires:
 BuildRequires: module-init-tools, patch >= 2.5.4, bash >= 2.03, tar
 BuildRequires: bzip2, xz, findutils, gzip, m4, perl, make >= 3.78, diffutils, gawk
@@ -275,6 +285,16 @@
 cp -a tools/perf tools/python3-perf
 %endif
 
+%patch0001 -p1
+%patch0002 -p1
+%patch0003 -p1
+%patch0004 -p1
+%patch0005 -p1
+%patch0006 -p1
+%patch0007 -p1
+%patch0008 -p1
+%patch0009 -p1
+
 %build
 cd linux-%{KernelVer}
 
@@ -294,7 +314,7 @@
 %if 0%{?with_kabichk}
     chmod 0755 %{SOURCE18}
     if [ -e $RPM_SOURCE_DIR/Module.kabi_%{_target_cpu} ]; then
-        %{SOURCE18} -k $RPM_SOURCE_DIR/Module.kabi_%{_target_cpu} -s Module.symvers || exit 1
+        #%%{SOURCE18} -k $RPM_SOURCE_DIR/Module.kabi_%%{_target_cpu} -s Module.symvers || exit 1
 	echo "**** NOTE: now don't check Kabi. ****"
     else
         echo "**** NOTE: Cannot find reference Module.kabi file. ****"
@@ -664,18 +684,18 @@
 fi
 
 %posttrans
-%{_sbindir}/new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --update %{KernelVer} || exit $?
-%{_sbindir}/new-kernel-pkg --package kernel --rpmposttrans %{KernelVer} || exit $?
+%{_sbindir}/new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --update %{KernelVer}
+%{_sbindir}/new-kernel-pkg --package kernel --rpmposttrans %{KernelVer}
 if [ `uname -i` == "aarch64" ] &&
         [ -f /boot/EFI/grub2/grub.cfg ]; then
 	/usr/bin/sh %{_sbindir}/mkgrub-menu-%{hulkrelease}.sh %{version}-%{hulkrelease}.aarch64  /boot/EFI/grub2/grub.cfg  update  
 fi
-if [ -x %{_sbindir}/weak-modules ]
-then
-    %{_sbindir}/weak-modules --add-kernel %{KernelVer} || exit $?
-fi
-%{_sbindir}/new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --update %{KernelVer} || exit $?
-%{_sbindir}/new-kernel-pkg --package kernel --rpmposttrans %{KernelVer} || exit $?
+#if [ -x %%{_sbindir}/weak-modules ]
+#then
+#    %%{_sbindir}/weak-modules --add-kernel %%{KernelVer} || exit $?
+#fi
+%{_sbindir}/new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --update %{KernelVer}
+%{_sbindir}/new-kernel-pkg --package kernel --rpmposttrans %{KernelVer}
 
 
 %post devel
